# Method: enterprises.devices.delete

- [HTTP request](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#body.request_body)
- [Response body](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#body.aspect)
- [Try it!](https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/delete#try-it)

Deletes a device. This operation attempts to wipe the device but this is not guaranteed to succeed if the device is offline for an extended period. Deleted devices do not show up in `https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/list#google.android.devicemanagement.v1.DeviceManagementService.ListDevices` calls and a 404 is returned from `https://developers.google.com/android/management/reference/rest/v1/enterprises.devices/get#google.android.devicemanagement.v1.DeviceManagementService.GetDevice`.

### HTTP request

`DELETE https://androidmanagement.googleapis.com/v1/{name=enterprises/*/devices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the device in the form `enterprises/{enterpriseId}/devices/{deviceId}`. |

### Query parameters

| Parameters ||
|---|---|
| `wipeDataFlags[]` | ``enum (`https://developers.google.com/android/management/reference/rest/v1/WipeDataFlag`)`` Optional flags that control the device wiping behavior. |
| `wipeReasonMessage` | `string` Optional. A short message displayed to the user before wiping the work profile on personal devices. This has no effect on company owned devices. The maximum message length is 200 characters. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidmanagement`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).